# -*- rpm-spec -*-

%define _extra_release %{?extra_release:%{extra_release}}

Name: qemu-admin
Version: 0.2
Release: 3%{_extra_release}
Summary: QEMU administration tool

Group: Applications/Emulators
License: GPL v2+
URL: http://harp.boston.redhat.com/olpcdev/tools/qemu-admin
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: perl-QEMU-Manager
Requires: python
Requires: qemu >= 0.8.0-3
Requires: pygtk2 >= 1.99.12-6
Requires: gnome-python2-gconf >= 1.99.11-7
Requires: dbus-python

BuildArchitectures: noarch

%description
QEMU Admin provides a graphical tool for administering
emulated virtual machines

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/%{name}
/usr/share/%{name}/*
/usr/share/applications/%{name}.desktop

%changelog
* Tue Jan 10 2006 Daniel Berrange <berrange@redhat.com> - 0.2-3
- Added dependancies for various python modules we want

* Fri Jan  6 2006 Daniel Berrange <berrange@redhat.com> - 0.2-2
- Include generated timestamp in release number for autobuilds

* Fri Jan  6 2006 Daniel Berrange <berrange@redhat.com> - 0.2-1
- Initial RPM build
